
/**
 * 
 * Hlavni trida cele aplikace
 * 
 * @author jsobisek@zcu.students.cz
 * @version 1.0
 *
 */
public class Main {
	
	public static void main(String[] args){
		
	
		Triangle triangle = new Triangle();
		
		int countGenNumbers = 100000; // pocet generovanych cisel
		double paramA = 20; // vstupni parametr a
		int countIntervals = 10; // pocet intervalu
		
		// vypiseme defaultne 2 mnoziny 
		if(args.length == 0){
			triangle.compute(countGenNumbers, paramA, countIntervals);
			// jako druhou hodnotu pouzijeme napr. soucet zadanych hodnot
			triangle.compute(countGenNumbers + countGenNumbers, paramA + paramA, countIntervals + countIntervals); 
		}
		// pokud ja zadano pouze pocet generovanych cisel
		else if (args.length == 1){
			
			countGenNumbers = Integer.parseInt(args[0]);
			triangle.compute(countGenNumbers, paramA, countIntervals);
		}
		// je zadano pocet cisel a parametr 'a'
		else if (args.length == 2) {
			
			countGenNumbers = Integer.parseInt(args[0]);
			paramA = Double.parseDouble(args[1]);
			
			triangle.compute(countGenNumbers, paramA, countIntervals);
		}
		// je zadano pocet cisel, parametr 'a' a pocet intervalu 
		else if (args.length == 3){
			countGenNumbers = Integer.parseInt(args[0]);
			paramA = Double.parseDouble(args[1]);
			countIntervals = Integer.parseInt(args[2]);
			
			triangle.compute(countGenNumbers, paramA, countIntervals);
		}
		else{
			System.out.println("pouziti: run.bat [pocet_gen_cisel] [a] [pocet_intervalu]");
		}
		
	}

}
